#include <string>
void bny(TH2 *h, Double_t x1, Double_t x2){

  Int_t ix1 = h->GetXaxis()->FindBin(x1);
  Int_t ix2 = h->GetXaxis()->FindBin(x2);
//  cout<<ix1<<","<<ix2<<endl;

  string name = h->GetName();
  name = name + "_bny";
  h->ProjectionY(name.c_str(),ix1,ix2)->Draw();
}
